-- migrate:up
create table discovered_videos (
    id TEXT PRIMARY KEY,
    info JSON,
    status TEXT CHECK( status IN ('DISCOVERED', 'HIDDEN', 'REQUESTED', 'DOWNLOADING', "DOWNLOADED") ) NOT NULL,
    requested_by TEXT DEFAULT ''
);

create table videos_in_playlists (
    video_id TEXT NOT NULL,
    playlist_id TEXT NOT NULL,
    playlist_name TEXT,
    PRIMARY KEY (video_id, playlist_id)
);

CREATE TABLE typesense_keys (
    id INTEGER PRIMARY KEY AUTOINCREMENT,
    key TEXT NOT NULL  
);

-- migrate:down
drop table discovered_videos;
drop table videos_in_playlists;
drop table typesense_keys;